사용자 컴플라이언스 데이터 스트리밍
curl --request GET \
--url https://api.x.com/2/users/compliance/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/compliance/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/compliance/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"user_protect": {
"event_at": "2021-07-06T18:40:40.000Z",
"user": {
"id": "2244994945"
}
}
}
}{
"code": 123,
"message": "<string>"
}규정 준수 스트림
사용자 컴플라이언스 데이터 스트리밍
모든 사용자 컴플라이언스 데이터를 스트리밍합니다.
GET
/
2
/
users
/
compliance
/
stream
사용자 컴플라이언스 데이터 스트리밍
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
쿼리 매개변수
요청된 백필 기간(단위: 분)입니다.
필수 범위:
0 <= x <= 5파티션 번호입니다.
필수 범위:
1 <= x <= 4YYYY-MM-DDTHH:mm:ssZ. 사용자 컴플라이언스 이벤트가 제공되기 시작하는 가장 이른 UTC 타임스탬프입니다.
YYYY-MM-DDTHH:mm:ssZ. 사용자 컴플라이언스 이벤트가 제공되는 가장 늦은 UTC 타임스탬프입니다.
응답
요청이 성공했습니다.
- Option 1
- Option 2
사용자 컴플라이언스 스트림 이벤트입니다.
사용자 컴플라이언스 관련 데이터입니다.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
Show child attributes
Show child attributes
⌘I